Bug 187358 - Incorrect resolution on Intel 945g graphics
Incorrect resolution on Intel 945g graphics
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-30 08:23 EST by John Gorman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-04 13:39:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Gorman 2006-03-30 08:23:41 EST
Description of problem:

Displays incorrect resolution on Intel 945g integrated graphics
chipset.  I select 1600x1200 but I see only the upper left portion
of my screen.  xvidtune reports 1024x768.

Version-Release number of selected component (if applicable):

Fedora Core 5 with updates as of March 28, 2006

How reproducible:

Try any setting above 1024x768.

Steps to Reproduce:
1. Try any setting above 1024x768.
2. Restart X.
3. Observe.
  
Actual results:

You see only the upper left portion of the desktop.

Expected results:

I want to see the whole desktop.

Additional info:

See the 915Resolution: Intel Video BIOS Hack page:
http://www.geocities.com/stomljen/
Comment 1 John Gorman 2006-04-04 08:42:12 EDT
I tried 915Resolution but it didn't seem to help.
I have a brand new Dell that runs fine with FC4.
Giving up on FC5 :(
Comment 2 Mike A. Harris 2006-05-19 05:57:56 EDT
Please report this issue to X.Org developers by filing a bug report in
the X.Org bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "NEEDINFO_REPORTER", awaiting X.Org bug URL
for tracking.
Comment 3 Adam Jackson 2006-10-04 13:39:39 EDT
Should be fixed by the new 'intel' driver in FC6.

Note You need to log in before you can comment on or make changes to this bug.